## update-manager 0.152.25

=== debian/changelog ===
update-manager (1:0.152.25) oneiric; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - add workaround for a python-apt bug that causes the release
      upgrade to import the old version of "DistInfo" intead of the 
      one that is bundled with the release-upgrader (LP: #871007)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Oct 2011 13:15:29 +0200

update-manager (1:0.152.24) oneiric; urgency=low

  * AutoUpgradeTester/profile/eduubuntu/DistUpgrade.cfg:
    - Fix typo, renaming to edubuntu instead

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 08 Oct 2011 15:25:55 -0400

update-manager (1:0.152.23) oneiric; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - ensure that edubuntu-desktop really gets upgraded
  * AutoUpgradeTester/profile/eduubuntu/DistUpgrade.cfg:
    - update profile for edubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 08 Oct 2011 19:24:45 +0200

update-manager (1:0.152.22) oneiric; urgency=low

  * tests/test_update_origin.py, Janitor/computerjanitor/plugin.py:
    - fix tests
  * .bzr-builddeb/default.conf:
    - re-enable pre-build script to ensure we get a updated 
      base-installer, demotions and html Announcements

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Oct 2011 10:07:26 +0200

update-manager (1:0.152.21) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - increase the amd64 cache size to 48mb to workaround bug 
      LP: #854090 during the natty -> oneiric upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2011 21:26:10 +0200

update-manager (1:0.152.20) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - increase the default cache size on a multiarch system to
      avoid potential crash in natty apt (LP: #854090)
  * DistUpgrade/DistUpgradeController.py, UpdateManager/Core/utils.py:
    - do not leak password from sources.list entries into the logfile
      (LP: #839094)
  * UpdateManager/UpdateManager.py:
    - do not crash if a package can not be put into "install" state,
      instead, just keep the old (unmarked) state (LP: #850482)
  * UpdateManager/DistUpgradeFetcher.py:
    - fix crash for changed gtk2 -> gtk3 API (LP: #859862)
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - remove debug output (LP: #855495)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2011 16:09:55 +0200

update-manager (1:0.152.19) oneiric; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - do not use O_SYNC for the apt.log, its not important enough
      to justify the slowdown (LP: #852128)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 Sep 2011 17:55:53 +0200

update-manager (1:0.152.18) oneiric; urgency=low

  [ Michael Vogt ]
  * debian/pycompat:
    - removed, no longer needed
  * debian/rules:
    - fix incorrect invocation of --with=python2
  
  [ Robert Roth ]
  * lp:~evfool/update-manager/handlewarning:
    - Only disconnect handler if it's still connected (LP: #133139)
  * lp:~evfool/update-manager/glibchangefix:
    - Call glib.markup_escape_text() correctly as per current 
      gir (don't pass in string length; LP: #832745)
  * lp:~evfool/update-manager/fixcopylink:
    - Fix the "Copy web link" context menu item of the ChangeLog viewer.
      It did not work before of some Gtk changes, now it does work. 
      Fixes LP: #831944.
  
  [ Stefano Rivera ]
  * extras is another special case where validTo=False (LP: #775694)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2011 11:47:10 +0200

update-manager (1:0.152.17) oneiric; urgency=low

  * debian/source-update_manager.py:  ask the reporter if their issue is
    regarding a distribution upgrade if so include log files (LP: #836846)

 -- Brian Murray <brian@ubuntu.com>  Mon, 29 Aug 2011 10:10:15 -0700

update-manager (1:0.152.16) oneiric; urgency=low

  * DistUpgrade/DevelReleaseAnnouncement:
    - prepare text for the beta release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Aug 2011 17:52:58 +0200

update-manager (1:0.152.15) oneiric; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: 
    - properly add the tag 'dist-upgrade' to the bug report
  
  [ Michael Vogt ]
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - fix incorrect initialization
  * fix GLib.timeout_add_seconds() with the new GIR (LP: #829186)
  * call software-properties-gtk without gksu, that is no longer
    needed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Aug 2011 12:15:35 +0200

update-manager (1:0.152.14) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - enable multiarch on amd64 during the upgrade
    - add new "PreCacheOpen" hook and use it for the multiarch 
      enabling
  * DistUpgrade/DistUpgradeCache.py:
    - when checking for missing "priority: required" packages 
      ignore the foreign architecture ones

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Aug 2011 10:52:23 +0200

update-manager (1:0.152.13) oneiric; urgency=low

  [ Robert Roth ]
  * Fix link context menu in changelog viewer (LP: #824957)
  
  [ Michael Vogt ]
  * debian/control:
    - bump unity dependency to gir1.2-unity-4.0 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Aug 2011 17:45:51 +0200

update-manager (1:0.152.12) oneiric; urgency=low

  [ Michael Vogt ]
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - add NonInterative/AddRepoUpgradeImmediately option that allows
      installing test package *before* the test upgrade runs (useful
      for e.g. testing a new apt or dpkg)

  [ Robert Roth ]
  * Added default value to be able to start UpdateManager without 
    having gir-unity installed (LP: #823935)
  * Fixed changelog test with the new wording
  * Specify default -1 length for terminal response (LP: #817785)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2011 17:58:35 +0200

update-manager (1:0.152.11) oneiric; urgency=low

  * DistUpgrade/DistUpgradeViewGtk3.py:
    - use vte.for_command_full() instead of fork_command() as 

