## update-manager 0.152.25.12

=== debian/changelog ===
update-manager (1:0.152.25.12) oneiric-security; urgency=low

  * SECURITY UPDATE: Incomplete fix for CVE-2012-0949 (LP: #1004503)
    - DistUpgrade/DistUpgradeApport.py: use a whitelist of files so we
      don't upload system_state archives.
    - tests/test_apport_crash.py: add test.
    - CVE-2012-0950

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 31 May 2012 13:07:39 -0400

update-manager (1:0.152.25.11) oneiric-security; urgency=low

  * SECURITY UPDATE: Incorrect permissions on system_state archive may
    expose repo passwords (LP: #954483)
    - DistUpgrade/DistUpgradeMain.py: create file with proper permissions.
    - debian/update-manager-core.postinst: clean up permissions on existing
      files.
    - CVE-2012-0948
  * SECURITY UPDATE: Apport hook may upload system_state archive containing
    repo passwords (LP: #954483)
    - debian/source_update-manager.py: don't upload system_state archives.
    - CVE-2012-0949

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 May 2012 08:24:51 -0400

update-manager (1:0.152.25.9) oneiric-proposed; urgency=low

  * In the apport package hook continue if unable to import gconf data
    (LP: #880704) 
  * In the apport package hook do not gzip the apt-clone attachment two times
    (LP: #973747)
  * check-new-release-gtk:
    - ensure to write a integer when calculating the next time that
      the release available window will be presented (LP: #873424)
    - hide redundant release-notes button (LP: #873432)
  * check-new-release-gtk:
    - write the time to check the new release to the update-notifier schema
      not the update-manager one (LP: #873424)

 -- Brian Murray <brian@ubuntu.com>  Wed, 04 Apr 2012 13:04:28 -0700

update-manager (1:0.152.25.8) oneiric-security; urgency=low

  * REGRESSION FIX:
    - DistUpgrade/DistUpgradeViewKDE.py: fix regression caused by improper
      return value handling. (LP: #933225)
  * This package does _not_ contain the changes from (1:0.152.25.6) and
    (1:0.152.25.7) in oneiric-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 Feb 2012 22:33:18 -0500

update-manager (1:0.152.25.5) oneiric-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via directory traversal
    (LP: #881548)
    - UpdateManager/Core/DistUpgradeFetcherCore.py: verify signature before
      unpacking the tarball.
    - CVE-2011-3152
  * SECURITY UPDATE: information leak via insecure temp file (LP: #881541)
    - DistUpgrade/DistUpgradeViewKDE.py: use mkstemp instead of mktemp.
    - CVE-2011-3154

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Nov 2011 08:52:19 -0500

update-manager (1:0.152.25.4) oneiric-proposed; urgency=low

  * DistUpgrade/removal_blacklist.cfg:
    - ensure that postgresql does not get removed (LP: #871893)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Oct 2011 09:52:08 +0200

update-manager (1:0.152.25.3) oneiric-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash when packages needs downgrading
  * UpdateManager/Core/utils.py:
    - do not crash if iptables does not exist, thanks to Daniel
      Holbach for reporting the issue (LP: #877514)
  * DistUpgrade/DistUpgradeQuirks.py:
    - keep poking the screensaver to ensure that it really won't
      activate during the upgrade (thanks to Jonathan Davies for
      the report)
  * tests/test_sources_list.py:
    - fix test (archive.ubuntu.com no longer listens to ftp)
  * po/*:
    - refresh again to fix regression (LP: #877461)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Oct 2011 17:06:40 +0200

update-manager (1:0.152.25.2) oneiric-proposed; urgency=low

  * refresh translation for the release-upgrader (LP: #873905)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Oct 2011 15:19:51 +0200

update-manager (1:0.152.25.1) oneiric-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - do not crash if apt-btrfs-snapshot fails to run (LP: #873411)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Oct 2011 17:29:34 +0200
