=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), 
               python-all-dev,
               python-distutils-extra (>= 1.90), 
               python-apt (>= 0.7.5),
               lsb-release,
               nvidia-common (>= 0.2.11) [i386 amd64], 
               apt-clone
Build-Depends-Indep: libxml-parser-perl, 
                     scrollkeeper, 
                     intltool
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main

Package: update-manager-core
Architecture: any
Section: admin
Depends: ${python:Depends}, 
         ${misc:Depends}, 
         python-apt (>= 0.7.13.4ubuntu3),  
         lsb-release,  
         python-gnupginterface
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.146.2)
Breaks: update-manager (<< 1:0.146.2), 
        computer-janitor (<= 1.11-0ubuntu1)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader

Package: update-manager
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, 
         update-manager-core (= ${source:Version}),
         python-aptdaemon.gtk3widgets (>= 0.40) | synaptic, 
         python-dbus,
         python-gobject (>= 2.28.6-2),
         gir1.2-vte-2.90, 
         gir1.2-gtk-3.0,
Recommends: software-properties-gtk (>= 0.71.2), 
            gir1.2-dbusmenu-gtk-0.4, 
            gir1.2-unity-4.0,
            gir1.2-webkit-3.0
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

Package: update-manager-text
Architecture: all
Section: admin
Depends: ${python:Depends}, 
         ${misc:Depends}, 
         update-manager-core, 
         python-newt
Description: Text application that manages apt updates
 This is the newt apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-kde
Architecture: all
Section: kde
Depends: ${python:Depends}, 
         ${misc:Depends}, 
         update-manager-core, 
         python-kde4, 
         kdesudo
Description: Support modules for KPackageKit
 Support modules for KPackageKit to check for new distro releases 
 and download the dist-upgrade tool.

Package: auto-upgrade-tester
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Recommends: qemu-kvm|kvm, 
            ubuntu-vm-builder
Suggests: default-jre-headless | java2-runtime-headless
Description: Test release upgrades in a virtual environment
 A tool to do QA for release upgrades in ubuntu that performs upgrades
 in a virtual environment. Supported backends are "chroot", "kvm" and
 "EC2". It will also install a hudson/jenkins slave (disabled by 
 default).
