## update-manager 0.152.25.13

=== debian/changelog ===
update-manager (1:0.152.25.13) oneiric-proposed; urgency=low

  * fix crash in UpdateManager.Core.utils.error(), thanks to
    Christian Parrino (LP: #964674)

 -- Brian Murray <brian@ubuntu.com>  Fri, 05 Oct 2012 09:23:34 -0700
