## update-manager 0.156.14

=== debian/changelog ===
update-manager (1:0.156.14) precise; urgency=low

  * debian/control:
    - fix description for update-manager-kde (LP: #984906),
      thanks to Scott Kitterman
  * DistUpgrade/DistUpgradeController.py:
    - do not set PYCENTRAL_NO_DPKG_QUERY (LP: #986233)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Apr 2012 18:26:27 +0200

update-manager (1:0.156.13) precise; urgency=low

  * Improve the error message used when a package cannot be located after
    updating, probably caused by an overloaded mirror. (LP: #873468)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 17 Apr 2012 16:02:54 -0400

update-manager (1:0.156.12) precise; urgency=low

  [ Colin Watson ]
  * data/gtkbuilder/UpgradePromptDialog.ui:
    - Remove has_separator property from dialog_really_do_not_upgrade
      (deprecated in GTK+ 2.22, removed in 3.0).
  * debian/control:
    - Restore gksu dependency, needed by e.g. check-new-release-gtk
      (LP: #980637).
  
  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - disconnect model and clear store before rebuilding the cache,
      thanks to Colin Watson
  * po/*.po:
    - updated to the latest launchpad (LP: #628157)
  * DistUpgrade/DistUpgradeController.py:
    - remove backports sources.list.d file again after its no
      longer needed (LP: #973717)
  * DistUpgrade/DistUpgradeController.py:
    - when checking for the backports, its enough to check is the
      set of the needed ones is a subset of the found ones (LP: #969182)
  * DistUpgrade/DistUpgrade.cfg.lucid:
    - release-upgrader-libapt-pkg-dev is not needed for the upgrade
      itself
  * remove skype from the removal blacklist

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Apr 2012 21:27:54 +0200

update-manager (1:0.156.11) precise; urgency=low

  * DistUpgrade/DistUpgrade.cfg.lucid:
    - add in a missing backported package (LP: #969182)
  * DistUpgrade/Distupgrade.py:
    - workaround issue regarding removing selections, thanks to sampo555 for
      the patch (LP: #945536)
  * Automatic update of mirrors, demoted packages and of included source
    packages: base-installer

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Apr 2012 11:02:52 -0700

update-manager (1:0.156.10) precise; urgency=low

  [ Michael Vogt ]
  * UpdateManager/Core/MyCache.py:
    - do not attempt to download changelogs from https locations if
      the uri requires credentials, thanks to Pat McGowan

  [ Colin Watson ]
  * UpdateManager/Core/MyCache.py:
    - Check that pkg.candidate.uri is not None when looking for changelogs
      (LP: #839986).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Mar 2012 13:44:40 +0200

update-manager (1:0.156.9) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeController.py:
    - support cdrom-only upgrades properly by using the backported
      libapt-{pkg,inst} and release-upgrader-python-apt from the CD
  * DistUpgrade/DistUpgrade.cfg:
    - update KernelRemoval/Version to match oneirics kernel
  * DistUpgrade/DistUpgrade.cfg.lucid:
    - update KernelRemoval/Version to match lucids kernel
  * data/release-upgrades:
    - set releae upgrades default to "lts"
  * DistUpgrade/DistUpgradeCache.py:
    - when selecting a new default kernel from base-installer, ensure
      to install the matching kernel headers too if previously kernel
      headers were installed (LP: #959307)
  
  [ Brian Murray ]
  * debian/source_update-manager.py: pass if attach_gsettings fails like on a
    server

  [ Gabor Kelemen ]
  * lp:~kelemeng/update-manager/bug957552:
    - Mark two accessible descriptions for translation. LP: #957552
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Mar 2012 17:35:34 +0100

update-manager (1:0.156.8) precise; urgency=low

  [ Robert Roth ]
  * Update icon name to use FD.o standard (LP: #921310)
  
  [ Julien Lavergne ]
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/removal_blacklist.cfg,
    UpdateManager/Core/utils.py,
    AutoUpgradeTester/profile/lubuntu/DistUpgrade.cfg:
   - Add Lubuntu support, and don't upgrade gnome-components which have been
     removed from Lubuntu installation (LP: #945215)

  [ Barry Warsaw ]
  * Improve the warning issued when i8xx graphics hardware is
    detected. (LP: #941172)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg: 
    - blacklist gnome-session so that users can always login after a failed
      partial upgrade (LP: #946539)

  [ James Hunt ]
  * Only attempt to stop screensaver if DISPLAY set, and throw away
    xdg-screensaver output. (LP: #883618)

  [ Colin Watson ]
  * Use 'from dbus.mainloop.glib import DBusGMainLoop;
    DBusGMainLoop(set_as_default=True)' to set up the main loop, rather than
    importing the deprecated dbus.glib.
  
  [ Gabor Kelemen ]
  * Fix misplaced parentheses. LP: #952959

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2012 15:29:59 +0100

update-manager (1:0.156.7) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - fix nvidia detection, thanks to Brian Murray
  * DistUpgrade/xorg_fix_proprietary.py:
    - fix crash when apt_pkg is not initialized (LP: #942106)
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/mirrors.cfg:
    - support upgrades with commercial-ppas in the sources.list
      (LP: #939461) and add tests
  * UpdateManager/UpdateManager.py:
    - fix inaccurate string, thanks to JohnNapster (LP: #942590)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg: 
    - Only blacklist unity-2d, not all packages whose names start with
      unity-2d.  (LP: #940196)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Mar 2012 09:02:14 +0100

update-manager (1:0.156.6) precise; urgency=low

  [ Robert Roth ]  
  * lp:~evfool/update-manager/lp930177:
    - Add missing space (LP: #930177) 
  
  [ Michael Vogt ]
  * DistUpgrade/DevelReleaseAnnouncement:
    - change label from alpha to beta release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Feb 2012 16:44:50 +0100


