## update-manager 0.156.14.5

=== debian/changelog ===
update-manager (1:0.156.14.5) precise-security; urgency=low

  * SECURITY UPDATE: Incomplete fix for CVE-2012-0949 (LP: #1004503)
    - DistUpgrade/DistUpgradeApport.py: use a whitelist of files so we
      don't upload system_state archives.
    - tests/test_apport_crash.py: add test.
    - CVE-2012-0950

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 31 May 2012 13:05:04 -0400

update-manager (1:0.156.14.4) precise-security; urgency=low

  * SECURITY UPDATE: Incorrect permissions on system_state archive may
    expose repo passwords (LP: #954483)
    - DistUpgrade/DistUpgradeMain.py: create file with proper permissions.
    - debian/update-manager-core.postinst: clean up permissions on existing
      files.
    - CVE-2012-0948
  * SECURITY UPDATE: Apport hook may upload system_state archive containing
    repo passwords (LP: #954483)
    - debian/source_update-manager.py: don't upload system_state archives.
    - CVE-2012-0949
  * This package does _not_ contain the changes from (1:0.156.14.2) in
    precise-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 May 2012 08:13:39 -0400

update-manager (1:0.156.14.1) precise-proposed; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - add "LTS" to the name

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Apr 2012 13:59:24 +0200
