=== debian/control ===
--- 
+++ 
@@ -35,13 +35,14 @@
 Depends: ${python:Depends}, ${misc:Depends}, 
          update-manager-core (= ${source:Version}),
          python-aptdaemon.gtk3widgets (>= 0.40) | synaptic, 
+         gksu,
          python-dbus,
          python-gobject (>= 2.28.6-2),
          gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
 Recommends: software-properties-gtk (>= 0.71.2), 
             gir1.2-dbusmenu-gtk-0.4, 
-            gir1.2-unity-4.0,
+            gir1.2-unity-5.0,
             gir1.2-webkit-3.0
 Description: GNOME application that manages apt updates
  This is the GNOME apt update manager. It checks for updates and lets the user
@@ -66,8 +67,8 @@
          update-manager-core, 
          python-kde4, 
          kdesudo
-Description: Support modules for KPackageKit
- Support modules for KPackageKit to check for new distro releases 
+Description: Support modules for Muon Notifier and Apper
+ Support modules for Muon Notifier and Apper to check for new distro releases 
  and download the dist-upgrade tool.
 
 Package: auto-upgrade-tester
