## update-manager 0.156.14.11

=== debian/changelog ===
update-manager (1:0.156.14.11) precise-proposed; urgency=low

  * DistUpgradeApport.py: don't use a '/' as a key name in the apport report
    as this will cause an assertion error and prevent any attachments from
    being included (LP: #1060353)

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Oct 2012 16:02:53 -0700

update-manager (1:0.156.14.10) precise-proposed; urgency=low

  * fix crash in UpdateManager.Core.utils.error(), thanks to
    Christian Parrino (LP: #964674)

 -- Brian Murray <brian@ubuntu.com>  Fri, 05 Oct 2012 11:34:26 -0700

update-manager (1:0.156.14.9) precise-proposed; urgency=low

  * No change rebuild to pick up the fixed apt_clone.py

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Aug 2012 17:05:37 -0400

update-manager (1:0.156.14.8) precise-proposed; urgency=low

  * Fix removal_blacklist to blacklist "^screen$" instead of "screen".
    This fixes cases where the upgrade would fail because of a package
    containing "screen" being removed. (LP: #1029531)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 17:52:47 -0400

update-manager (1:0.156.14.7) precise-proposed; urgency=low

  * DistUpgrade/DistUpgradeMain.py: call clone.save_state with
    scrub_sources set so that VarLogDistUpgradeAptclonesystemstate will be
    included in bug reports again (LP: #1029046)
  * DistUpgrade/DistUpgradeApport.py: check errormsg for the English version of
    the dependency problems error first (LP: #999890)
    - add apt-clone_system_state.tar.gz to white list of files to upload
  * In the apport source package hook collect apt-clone information if the bug
    report is about a distribution upgrade (LP: #1029046)
  * Don't throw exception on socket timeout when downloading metarelease file
    (LP: #818760)

 -- Brian Murray <brian@ubuntu.com>  Thu, 26 Jul 2012 11:58:16 -0700

update-manager (1:0.156.14.6) precise-proposed; urgency=low

  * lp:~ember/update-manager/ubuntu.bug1002956:
    - fix missing ReleaseNotesViewerWebkit.py support, thanks to
      Pedro Fragoso (LP: #1002956)
  * DistUpgrade/DistUpgradeCache.py:
    - increase estimated kernel size slightly to match the precise
      kernels
  * fix automatic expand of the terminal if no activity happend
    for >300s (LP: #979661)
  * DistUpgrade/ReleaseAnnouncement:
    - add "LTS" to the version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Jun 2012 19:52:49 +0200

update-manager (1:0.156.14.2) precise-proposed; urgency=low

  * fix automatic expand of the terminal if no activity happend
    for >300s (LP: #993190)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 May 2012 11:46:09 -0700
