## update-manager 0.156.14.18wataugafour60

=== debian/changelog ===
update-manager (1:0.156.14.18wataugafour60) precise; urgency=medium

  * change the final wording. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 17 Mar 2015 10:59:12 +0800

update-manager (1:0.156.14.18wataugafour59) precise; urgency=medium

  * postponed end date to 2015-04-30 from 2015-04-15. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 16 Mar 2015 11:38:44 +0800

update-manager (1:0.156.14.18wataugafour58) precise; urgency=medium

  * install oem-atheros-bluetooth-1417476-dkms on pnInspiron3137. 
    (LP: #1417476) 
  * purge old fglrx driver if 14.201 installed. (LP: #1410111) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 04 Mar 2015 18:04:56 +0800

update-manager (1:0.156.14.18wataugafour57) precise; urgency=medium

  * add "1002:6660" PCI ID to special list for fglrx 14.201.  
    (LP: #1410111)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 03 Mar 2015 15:43:37 +0800

update-manager (1:0.156.14.18wataugafour56) precise; urgency=medium

  * migrate Watauga4's update-manager to the new -18 version.
    (LP: #1421473)

  [ Lefteris Nikoltsios ]
  * remove all ltsp* blacklisting (LP: #1415785)

  [ Michael Vogt ]
  * improve HWE support information message in the gtk UI
    (LP: #1402706)
  * consider more meta-packages when doing the apt-get install
    suggestion (LP: #1420217)
  * show unsupported packages if no replacement packages can be found
    (LP: #1341320)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 17 Feb 2015 20:31:16 +0800

update-manager (1:0.156.14.17wataugafour56) precise; urgency=medium

  * use workaround-xhci-quirk-precise-dkms on pnVostro23-3340.
    (LP: #1416209)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 17 Feb 2015 20:31:16 +0800

update-manager (1:0.156.14.17wataugafour55) precise; urgency=medium

  * use isoformat for EOD string. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 03 Feb 2015 16:17:07 +0800

update-manager (1:0.156.14.17wataugafour54) precise; urgency=medium

  * remove "1002:9904" PCI ID from special list for fglrx 14.201.  

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 02 Feb 2015 16:40:15 +0800

update-manager (1:0.156.14.17wataugafour53) precise; urgency=medium

  * bump version.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sun, 01 Feb 2015 01:51:13 +0800

update-manager (1:0.156.14.17wataugafour52) precise; urgency=medium

  * change Fglrx update rules. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 27 Jan 2015 18:37:50 +0800

update-manager (1:0.156.14.17wataugafour51) precise; urgency=medium

  * replace rts5229-dkms with oem-cardreader-rts5229-1409576-dkms.
    (LP: #1409576)
  * add PCI ID "1002:674a" to the list that will use 14.201 fglrx driver.
    (LP: #1411170)
  * add Watauga4 final upgrade message wordings.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 22 Jan 2015 14:08:02 +0800

update-manager (1:0.156.14.17wataugafour50) precise; urgency=medium

  * augment update-manage rules to cover more AMD gfx PCI IDs
    for 14.201 version. (LP: #1404828) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 17:01:25 +0800

update-manager (1:0.156.14.17wataugafour49) precise; urgency=medium

  * add oem-bluetooth-rtkbtusb-1328352-dkms. (LP: #1402984) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 04:41:22 +0800

update-manager (1:0.156.14.17wataugafour48) precise; urgency=medium

  * add "sutton-bcmwl-kernel-source" rule. (LP: #1406192)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 30 Dec 2014 15:45:32 +0800

update-manager (1:0.156.14.17wataugafour47) precise; urgency=medium

  * disable apport. (LP: #1394126) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 24 Dec 2014 16:23:00 +0800

update-manager (1:0.156.14.17wataugafour46) precise; urgency=medium

  * bump version. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sat, 13 Dec 2014 18:04:05 +0800

update-manager (1:0.156.14.17wataugafour45) precise; urgency=medium

  * repack mt7630e source with oem-dkms-framework.
    oem-wireless-mt76xx-1386997-dkms 
    oem-bluetooth-mt76xx-1386997-dkms 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sat, 13 Dec 2014 13:28:36 +0800

update-manager (1:0.156.14.17wataugafour44) precise; urgency=medium

  * add other fglrx rules (line 50 in unified DKMS list.) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Fri, 12 Dec 2014 23:59:30 +0800

update-manager (1:0.156.14.17wataugafour43) precise; urgency=medium

  * add some fglrx update rules. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Fri, 12 Dec 2014 18:33:05 +0800

update-manager (1:0.156.14.17wataugafour42) precise; urgency=medium

  * remove nvidia-settings-updates and nvidia-current-updates. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 11 Dec 2014 21:01:39 +0800

update-manager (1:0.156.14.17wataugafour41) precise; urgency=medium

  * install mt7630e-wireless and mt7630e-bluetooth. (LP: #1386997)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 11 Dec 2014 15:52:15 +0800

update-manager (1:0.156.14.17wataugafour40) precise; urgency=medium

  * remove package dw1704-resume-delay. (LP: #1397271)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 09 Dec 2014 16:17:17 +0800

update-manager (1:0.156.14.17wataugafour39) precise; urgency=medium

  * fix typo and bump version. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 03 Dec 2014 20:12:09 +0800

update-manager (1:0.156.14.17wataugafour38) precise; urgency=medium

  * use nvidia-331-updates to replace nvidia-331. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 03 Dec 2014 17:59:13 +0800

update-manager (1:0.156.14.17wataugafour37) precise; urgency=medium

  * Should not upgrade fglrx
    when only oem-video-fglrx-* package installed. (LP: #1395984)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 03 Dec 2014 12:27:37 +0800

update-manager (1:0.156.14.17wataugafour36) precise; urgency=medium

  * Install broadcom-sta-dkms and broadcom-sta-source. (LP: #1395670) 


