=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python-apt (>= 0.7.5),
                lsb-release,
                nvidia-common (>= 0.2.11) [i386 amd64], 
-               apt-clone
+               apt-clone (>= 0.2.2ubuntu1)
 Build-Depends-Indep: libxml-parser-perl, 
                      scrollkeeper, 
                      intltool
