## update-manager 0.156.14.19wataugafour61

=== debian/changelog ===
update-manager (1:0.156.14.19wataugafour61) precise; urgency=medium

  * Migrate Watauga4's code to -19 version of update-manager. (LP: #1472840)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 09 Jul 2015 10:21:18 +0800

update-manager (1:0.156.14.19) precise-proposed; urgency=low

  * fix crash in release upgrader when no official mirror is
    found, thanks to Thomas Reusch for reporting 
    (LP: #1441157)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Apr 2015 14:55:50 +0200
