=== debian/changelog ===
update-manager (1:0.156.14.20wataugafour62) precise; urgency=medium

  * Migrate Watauga4's code to -20 version of update-manager. (LP: #1472840)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 10 Oct 2016 17:12:20 +0800

update-manager (1:0.156.14.20) precise-proposed; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks. (LP: #1574193)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Sep 2016 09:55:44 -0700
