## update-manager 0.156.14.21wataugafour63

=== debian/changelog ===
update-manager (1:0.156.14.21wataugafour63) precise; urgency=medium

  * Migrate Watauga4's code to -21 version of update-manager. (LP: #1472840)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 12 Dec 2016 02:02:20 +0800
