## update-manager 0.156.14.22

=== debian/changelog ===
update-manager (1:0.156.14.22) precise; urgency=medium

  * Make ubuntu-support-status tell users about the ESM archive.
    LP: #1687105.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Apr 2017 13:32:09 -0700
