## update-manager 0.174.3

=== debian/changelog ===
update-manager (1:0.174.3) quantal; urgency=low

  * UpdateManager/UpdatesAvailable.py:
    - never pass "None" to xml.sax.saxutils.escape (LP: #1044080)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Oct 2012 10:21:50 +0200

update-manager (1:0.174.2) quantal; urgency=low

  [ Michael Vogt ]
  * fix crash in UpdateManager.Core.utils.error(), thanks to
    Christian Parrino (LP: #964674)

  [ Michael Terry ]
  * Stop showing Install All Available Updates quicklist item when it isn't
    appropriate (LP: #1031307).

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Oct 2012 08:20:44 -0700

update-manager (1:0.174.1) quantal; urgency=low

  * po/POTFILES.in:
    - add missing InstallBackendAptdaemon.py, thanks to Igor Zubarev
      (LP: #1055594)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Sep 2012 09:35:54 +0200

update-manager (1:0.174) quantal; urgency=low

  * UpdateManager/ChangelogViewer.py: improve url parsing of changelog files
    so that more links are created.  Thanks to sampo555 for the patch 
    (LP: #1011093).
  * Add a dependency to update-manager on update-notifier (LP: #1043725) 

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Sep 2012 09:56:12 -0700

update-manager (1:0.173) quantal; urgency=low

  * Make update-manager-core depend on ubuntu-release-upgrader-core and
    update-manager-kde depend on ubuntu-release-upgrader-qt, so that
    functionality isn't lost on upgrade (LP: #1049062).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2012 12:45:50 +0100

update-manager (1:0.172) quantal; urgency=low

  * Remove dependency on update-notifier as it added many dependencies to
    cloud-images.

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 Sep 2012 07:54:26 -0700

update-manager (1:0.171) quantal; urgency=low

  [ Michael Terry ]
  * Fix test suite to pass when run on non-amd64 machine

  [ Brian Murray ]
  * Add a dependency on update-notifier (LP: #1043725) 

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Sep 2012 12:20:31 -0700

update-manager (1:0.170) quantal; urgency=low

  * When user cancels/stops the apt cache update, still let them
    view available updates from a previous cache update.  LP: #1024909

 -- Michael Terry <mterry@ubuntu.com>  Fri, 24 Aug 2012 19:05:38 -0400

update-manager (1:0.169) quantal; urgency=low

  [ Michael Terry ]
  * Drop Unity-support gir Recommends down to Suggests. LP: #1029764
  
  [ sampo555 ]
  * lp:~sampo555/update-manager/fix-for-1031280:
    - Convert SystemError into string in order to avoid TypeError in
      UpdateManager.refresh_cache SystemError handles. Fixes LP: #1031280

  [ Robert Park ]
  * Allow test suite to not need to be run as root
  
  [ Michael Vogt ]
  * lp:~mvo/update-manager/phased-updates:
    - Implement the client part of the "foundations-q-phased-updates".
      This allows to deploy updates in phases where only a subset of
      the users will get a update, controlled via the 
      Phased-Updates-Percentage tag in the Packages file.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Aug 2012 09:21:32 +0200

update-manager (1:0.168) quantal; urgency=low

  * Run tests under xvfb and don't try to use non-existant python3-coverage
  * Don't throw exception on socket timeout when downloading metarelease
    file.  LP: #818760

 -- Michael Terry <mterry@ubuntu.com>  Mon, 23 Jul 2012 07:17:00 +0200

update-manager (1:0.167) quantal; urgency=low

  * Rebuild to get python3 wrapper script (LP: #1023474)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 11 Jul 2012 09:28:45 -0400

update-manager (1:0.166) quantal; urgency=low

  [ Colin Watson ]
  * Write metarelease file as UTF-8 (LP: #1020526)

  [ Michael Terry ]
  * Use a wrapper script of /bin/sh when calling pkexec, to workaround its
    requirement that the ppid not be 1.  (LP: #1020115)
  * Update Unity badge count before showing "please restart" dialog
  * Don't allow closing the "please restart" dialog via window manager
  * Show "please restart" dialog on startup if needed, instead of only
    after installing some updates

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jul 2012 11:39:44 +0100

update-manager (1:0.165) quantal-proposed; urgency=low

  * Implementation of "update on start" feature from spec
    https://wiki.ubuntu.com/SoftwareUpdates
  * Use a single main window that changes instead of having modal dialogs
  * Implement several special-purpose dialogs like "No updates" or
    "Dist upgrade needed" accordingn to the above spec
  * Split out release upgrader code and DistUpgrade module into a separate
    source package
  * Drop python-update-manager, as it is unused
  * debian/tests:
    - Add dep8 tests

 -- Michael Terry <mterry@ubuntu.com>  Fri, 29 Jun 2012 10:59:30 -0400

update-manager (1:0.164) quantal; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: ensure package install failures are
    tagged dist-upgrade

  [ Robert Roth ]
  * UpdateManager/UpdateManager.py: check for None type from
    get_last_update_minutes (LP: #1013325)

  [ Colin Watson ]
  * DistUpgrade/NvidiaDetector, debian/control: Update symlink to Python 3
    version, available as of ubuntu-drivers-common 1:0.2.55.
  * debian/rules: Make sure to run setup.py with the default python3 last,
    so that scripts get correct #! lines.

  [ Barry Warsaw ]
  * pre-build.sh:
    - Add python-gi as an explicit dependency.
    - python3-mock is required.
  * setup.py:
    - Fix the installation of the janitor.plugincore package for Python 3.
      (LP: #1013490)
    - Calculate the setup() version number from debian/changelog.
    - Remove package_dir since it's not actually needed.
    - Whitespace normalization.
  * tests/Makefile
    - Add sleep between Python 2 and Python 3 invocation of tests under
      xvfb-run, otherwise I get crashes where xvfb doesn't come up.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 21 Jun 2012 20:42:23 -0400

update-manager (1:0.163) quantal; urgency=low

  [ Colin Watson ]

