## update-manager 0.174.4

=== debian/changelog ===
update-manager (1:0.174.4) quantal-proposed; urgency=low

  * UpdateManager/Dialogs.py:
    - Allow upgrading to a development release again, by passing arguments
      like -d on to do-release-upgrade.  (LP: #1097907)
  * tests/test_upgrade.py:
    - Test for above

 -- Michael Terry <mterry@ubuntu.com>  Tue, 15 Jan 2013 09:58:35 -0500
