## update-manager 0.174.5

=== debian/changelog ===
update-manager (1:0.174.5) quantal-proposed; urgency=low

  * UpdateManager/Core/MetaRelease.py: support upgrades from Quantal to Saucy
    because Raring is becoming End of Life before Quantal (LP: #1258639)

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Dec 2013 12:39:35 -0800
